Bug 163644 - [New Port] russian/wordpress: russian WordPress localization
Summary: [New Port] russian/wordpress: russian WordPress localization
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-27 16:20 UTC by Mikhail Timofeev
Modified: 2012-01-06 07:40 UTC (History)
0 users

See Also:


Attachments
file.shar (3.13 KB, text/plain)
2011-12-27 16:20 UTC, Mikhail Timofeev
no flags Details
Makefile.diff (388 bytes, patch)
2011-12-28 06:08 UTC, Mikhail Timofeev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Timofeev 2011-12-27 16:20:10 UTC
A state-of-the-art semantic personal publishing platform.
russian WordPress localization

Fix: Patch attached with submission follows:
Comment 1 Mikhail Timofeev 2011-12-28 06:08:50 UTC
[PATCH] russian/wordpress: add zip shared extension for php
Comment 2 takefu 2012-01-04 08:58:07 UTC
- Update to 3.3.1
- Add php-curl
- Add CONFLICTS_LIST
- Move pkg-message -> files/pkg-message.in

--- wordpress.patch begins here ---
diff -ruN wordpress/Makefile wordpress.331/Makefile
--- wordpress/Makefile	2012-01-04 17:54:14.000000000 +0900
+++ wordpress.331/Makefile	2012-01-04 17:49:29.000000000 +0900
@@ -7,7 +7,7 @@
 #

 PORTNAME=	wordpress
-PORTVERSION=	3.3
+PORTVERSION=	3.3.1
 CATEGORIES=	russian www
 MASTER_SITES=	http://ru.wordpress.org/
 PKGNAMESUFFIX=	-ru
@@ -19,20 +19,24 @@
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/license.txt

-CONFLICTS_INSTALL=	wordpress-3.* ja-wordpress-ja-3.* de-wordpress-de-3.*
+CONFLICTS_INSTALL=	wordpress-3.* ja-wordpress-ja-3.*\
+			zh-wordpress-zh_CN-3.* zh-wordpress-zh_TW-3.*\
+			de-wordpress-de-3.*

 NO_BUILD=	yes
-USE_PHP=	gd mysql pcre tokenizer xml zip
+USE_PHP=	curl gd mysql pcre tokenizer xml zip
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}

+SUB_FILES=	pkg-message
+#WWWDIR=	${PREFIX}/www/${PORTNAME}${PKGNAMESUFFIX}
 PLIST=		${WRKDIR}/pkg-plist
 PORTDOCS=	license.txt readme.html

 pre-everything::
 	@${ECHO_CMD} "If you want to upgrade, you must read upgrade document."
 	@${ECHO_CMD} ""
-	@sleep 2
+	@sleep 1

 pre-install:
 	cd ${WRKSRC}/ && \
diff -ruN wordpress/distinfo wordpress.331/distinfo
--- wordpress/distinfo	2012-01-04 17:52:44.000000000 +0900
+++ wordpress.331/distinfo	2012-01-04 17:47:29.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (wordpress-3.3-ru_RU.tar.gz) = 5f73e6697e7bfd640215d9b2f9c6fa6013f5476b3da38a0f9570baa9b63fef67
-SIZE (wordpress-3.3-ru_RU.tar.gz) = 4323874
+SHA256 (wordpress-3.3.1-ru_RU.tar.gz) = 4c2754ac62e8073ad744a596a7e70b0c4152a2c36fde635092757b65b2da5cf0
+SIZE (wordpress-3.3.1-ru_RU.tar.gz) = 4322059
diff -ruN wordpress/files/pkg-message.in wordpress.331/files/pkg-message.in
--- wordpress/files/pkg-message.in	1970-01-01 09:00:00.000000000 +0900
+++ wordpress.331/files/pkg-message.in	2012-01-04 17:50:17.000000000 +0900
@@ -0,0 +1,6 @@
+                  **** NOTE ****
+Before the first use of WordPress, copy wp-config-sample.php to wp-config.php
+in %%WWWDIR%% and modify it to fit your MySQL.
+Maybe you need 'mysqladmin create wordpress' first.
+If you are upgrading from 1.x or 2.x to 3.x, please run
+http://your.site/wordpress/wp-admin/upgrade.php to upgrade to WordPress 3.x
diff -ruN wordpress/pkg-message wordpress.331/pkg-message
--- wordpress/pkg-message	2012-01-04 17:52:44.000000000 +0900
+++ wordpress.331/pkg-message	1970-01-01 09:00:00.000000000 +0900
@@ -1,6 +0,0 @@
-                  **** NOTE ****
-Before the first use of WordPress, copy wp-config-sample.php to wp-config.php
-in ${WWWDIR} and modify it to fit your MySQL.
-Maybe you need 'mysqladmin create wordpress' first.
-If you are upgrading from 1.x or 2.x to 3.x, please run
-http://your.site/wordpress/wp-admin/upgrade.php to upgrade to WordPress 3.x
--- wordpress.patch ends here ---
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2012-01-04 12:52:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2012-01-06 07:33:07 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 5 dfilter service freebsd_committer 2012-01-06 07:33:10 UTC
sunpoet     2012-01-06 07:32:54 UTC

  FreeBSD ports repository

  Modified files:
    russian              Makefile 
  Added files:
    russian/wordpress    Makefile distinfo pkg-descr 
    russian/wordpress/files pkg-message.in 
  Log:
  - Add wordpress 3.3.1 [1][2]
  - Add USE_PHP=curl [2]
  - Use files/pkg-message.in: show value of WWWDIR [2]
  
  PR:             ports/163644 [1]
  Submitted by:   Mihail Timofeev <9267096@gmail.com> [1]
                  Takefu <takefu@airport.fm> [2]
  
  Revision  Changes    Path
  1.114     +1 -0      ports/russian/Makefile
  1.1       +56 -0     ports/russian/wordpress/Makefile (new)
  1.1       +2 -0      ports/russian/wordpress/distinfo (new)
  1.1       +6 -0      ports/russian/wordpress/files/pkg-message.in (new)
  1.1       +7 -0      ports/russian/wordpress/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"